## libgdiplus 2.11+git20131008.9732566

=== debian/changelog ===
libgdiplus (2.11+git20131008.9732566-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - ppc64el support:
      + Build using dh-autoreconf
      + Build for ppc64el
      + Link tests with -lm

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 02 Apr 2014 11:03:42 +1100

libgdiplus (2.11+git20131008.9732566-5) unstable; urgency=low

  * [5e251c5] Ensure PNG transparency values are initialized. Thanks to 
    Tom Hindle (LP: #1296786) (Closes: #741980)

 -- Jo Shields <directhex@apebox.org>  Mon, 31 Mar 2014 19:02:03 +0100

libgdiplus (2.11+git20131008.9732566-4ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Build for ppc64el.
  * Link tests with -lm.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Jan 2014 17:41:56 +0100

libgdiplus (2.11+git20131008.9732566-4) unstable; urgency=low

  * [01b42b2] Add debian/patches/use_freetype_macros.patch, 
    cherry-picked from upstream 180c02e0f2a2016eba8520b456ca929e9dcf03db, 
    as a workaround to the FTBFS on FreeType 2.5+ (Closes: #732274)

 -- Jo Shields <directhex@apebox.org>  Mon, 16 Dec 2013 14:21:47 +0000

libgdiplus (2.11+git20131008.9732566-3) unstable; urgency=low

  * [9a8bde0] Remove SPARC from architecture list, since Mono no longer supports it

 -- Jo Shields <directhex@apebox.org>  Mon, 28 Oct 2013 12:37:07 +0000

libgdiplus (2.11+git20131008.9732566-2) unstable; urgency=low

  * [ecab77d] Refresh list of target architectures, to aid removal 
    of arches which Mono no longer supports (Closes: #727591)

 -- Jo Shields <directhex@apebox.org>  Thu, 24 Oct 2013 14:14:10 +0100

libgdiplus (2.11+git20131008.9732566-1) unstable; urgency=low

  * [285d0a3] Imported Upstream version 2.11+git20131008.9732566 
    (Closes: #649946)
  * [b7b1355] Build-depends on libtiff5-dev | libtiff-dev, change 
    from libtiff4-dev (Closes #681132)
  * [fea5c93] Build-Depends on libpng-dev, change from libpng12-dev 
    (Closes: #662402)

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 11:31:26 +0200

libgdiplus (2.10-3) unstable; urgency=low

  [ Iain Lane ]
  * [9ee065e] Change BD on libjpeg62-dev to libjpeg-dev, as part of the 
    transition (Closes: #634138)

  [ Jo Shields ]
  * [6dc8f99] Replace s390 architecture with s390x, since s390 is no longer 
    in Mono.

 -- Jo Shields <directhex@apebox.org>  Wed, 18 Jan 2012 00:49:22 +0000

=== debian/control ===
Source: libgdiplus
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: 
 debhelper (>= 7.0.50~), 
 dh-autoreconf,
 libglib2.0-dev (>= 2.2.3), 
 libx11-dev, 
 libxt-dev, 
 libfontconfig1-dev, 
 libfreetype6-dev, 
 libxft-dev (>= 2.0), 
 libpng-dev, 
 libjpeg-dev, 
 libtiff5-dev | libtiff-dev, 
 libgif-dev, 
 libexif-dev, 
 libcairo2-dev (>= 1.4)
Standards-Version: 3.9.1
Homepage: http://www.mono-project.com/Libgdiplus
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/libgdiplus.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/libgdiplus.git


Package: libgdiplus
Architecture: i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 mipsel armel s390x armhf ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface library for System.Drawing of Mono
 This package contains a GDI+ API compatible implementation needed by the
 System.Drawing library of Mono.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename
	bzcat ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2 | \
		gzip -9fn -c - > ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
	rm ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure \
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	  --with-cairo=system
	perl -pe 's/-Werror//' -i src/Makefile
	
override_dh_auto_build:
	$(MAKE)
	perl -pe 's,^Requires:.*,,; s,^Libs:.*,,; s,^Cflags:.*,,;' -i libgdiplus.pc

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_install:
	dh_auto_install
	rm debian/libgdiplus/usr/lib/lib*.*a

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.status config.log
	rm -f cairo/config.status cairo/config.log

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=2
http://go-mono.com/sources-stable/ .+/libgdiplus-([\d\.]+)\.tar\.bz2

## libgdiplus 3.6

=== debian/changelog ===
libgdiplus (3.6-1b1) staging; urgency=medium

  * No-change rebuild against libjpeg-turbo (libjpeg62)

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Fri, 03 Apr 2015 00:13:28 +0200

libgdiplus (3.6-1) unstable; urgency=medium

  * [a769019] Imported Upstream version 3.6
  * [8b2203c] Change scanning URL for uscan
  * [2da9293] It's 2014, we can handle bz2 orig
  * [1ca4f93] Imported Upstream version 3.6
  * [3ed0a39] Drop obsolete patch
  * [0e8fc62] Add new arches, because why not
  * [1e99dc2] Refresh debian/patches/initialize_png_transparency.patch
  * [f5f9cd8] Use dh-autoreconf. Helps for ppc64el!
  * [9ab1f97] Bump to DH7
  * [72f12fa] Delete crud we don't need when using dh-autoreconf
  * [1d6f7b0] Fix pngcodec.c which wasn't committed properly to Debian

 -- Jo Shields <directhex@apebox.org>  Wed, 27 Aug 2014 19:08:55 +0100

## libgdiplus 4.2

=== debian/changelog ===
libgdiplus (4.2-2) unstable; urgency=medium

  * [79078f1] Revert "Refreshed list of architectures" (Closes: #808676)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 13 Feb 2017 08:35:07 +0000

libgdiplus (4.2-1) unstable; urgency=medium

  * [f55e3da] Imported Upstream version 4.2 (Closes: #803274, #688361)
  * [feca412] Refreshed list of architectures

 -- Jo Shields <directhex@apebox.org>  Sun, 20 Dec 2015 17:41:11 +0000

=== debian/control ===
Source: libgdiplus
Section: libs
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: 
 debhelper (>= 7.0.50~), 
 libglib2.0-dev (>= 2.2.3), 
 libx11-dev, 
 libxt-dev, 
 libfontconfig1-dev, 
 libfreetype6-dev, 
 libxft-dev (>= 2.0), 
 libpng-dev, 
 libjpeg-dev, 
 libtiff5-dev | libtiff-dev, 
 libgif-dev, 
 libexif-dev, 
 libcairo2-dev (>= 1.4),
 dh-autoreconf
Standards-Version: 3.9.1
Homepage: http://www.mono-project.com/Libgdiplus
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/libgdiplus.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/libgdiplus.git


Package: libgdiplus
Architecture: i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 mipsel armel s390x armhf ppc64 ppc64el arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface library for System.Drawing of Mono
 This package contains a GDI+ API compatible implementation needed by the
 System.Drawing library of Mono.

=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,6 @@
 		--destdir . \
 		--force-download \
 		--rename
-	bzcat ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2 | \
-		gzip -9fn -c - > ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
-	rm ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" ./configure \
@@ -59,6 +56,10 @@
 	[ ! -f Makefile ] || $(MAKE) clean
 	rm -f config.status config.log
 	rm -f cairo/config.status cairo/config.log
+	rm -f Makefile.in aclocal.m4 configure
+	rm -f depcomp missing src/Makefile.in
+	rm -f tests/Makefile.in
+
 
 %:
 	dh $@ --with autoreconf

=== debian/watch ===
version=2
http://origin-download.mono-project.com/sources/libgdiplus/libgdiplus-([\d\.]+)\.tar\..*

## libgdiplus 6.0.4+dfsg

=== debian/changelog ===
libgdiplus (6.0.4+dfsg-2) unstable; urgency=medium

  * No-change upload (Closes: #952642)

 -- Jo Shields <joshield@microsoft.com>  Wed, 26 Feb 2020 15:09:20 -0500

libgdiplus (6.0.4+dfsg-1) unstable; urgency=medium

  * [1d0918c] New upstream version 6.0.4
  * [c8e4ab1] Forcibly skip tests
  * [a0213b8] Pango is default now for fonts, so forcibly use it
  * [db75b4e] Remove obsolete patch
  * [25206b3] Update Vcs-* records in debian/control
  * [53708b1] Add a +dfsg due to closed-source test file
  * [9a57bdb] New upstream version 6.0.4+dfsg

 -- Jo Shields <joshield@microsoft.com>  Mon, 14 Oct 2019 14:02:24 -0400

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  libgif-dev, 
  libexif-dev, 
  libcairo2-dev (>= 1.4),
+ libpango1.0-dev,
  dh-autoreconf
 Standards-Version: 3.9.1
 Homepage: http://www.mono-project.com/Libgdiplus
-Vcs-Git: git://git.debian.org/git/pkg-mono/packages/libgdiplus.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/libgdiplus.git
+Vcs-Git: https://salsa.debian.org/dotnet-team/libgdiplus.git
+Vcs-Browser: https://salsa.debian.org/dotnet-team/libgdiplus
 
 
 Package: libgdiplus

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)
 DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
-
+UPVERSION = $(shell echo $(VERSION) | sed 's,-.*,,' | sed 's,+dfsg.*,,')
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -24,6 +24,7 @@
 	INSTALL_PROGRAM += -s
 endif
 
+get-orig-source: TARBALL_DIR = $(DEB_SOURCE_NAME)-$(UPVERSION)
 get-orig-source:
 	uscan \
 		--package $(DEB_SOURCE_NAME) \
@@ -32,13 +33,27 @@
 		--download-version $(VERSION) \
 		--destdir . \
 		--force-download \
-		--rename
+		--rename \
+		--repack
+	if [ -d $(TARBALL_DIR) ]; then \
+		echo "$(TARBALL_DIR) is in the way, bailing out!"; \
+		exit 1; \
+	fi
+	if [ -d $(TARBALL_DIR)+dfsg ]; then \
+		echo "$(TARBALL_DIR)+dfsg is in the way, bailing out!"; \
+		exit 1; \
+	fi
+	tar -xzf $(DEB_SOURCE_NAME)_$(UPVERSION).orig.tar.gz
+	rm $(DEB_SOURCE_NAME)_$(UPVERSION).orig.tar.gz
+	rm -f $(TARBALL_DIR)/tests/AdobeRGB1998.icc
+	mv $(TARBALL_DIR) $(TARBALL_DIR)+dfsg
+	tar -czf $(DEB_SOURCE_NAME)_$(UPVERSION)+dfsg.orig.tar.gz $(TARBALL_DIR)+dfsg
+	rm -r $(TARBALL_DIR)+dfsg
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" ./configure \
 	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-	  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
-	  --with-cairo=system
+	  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 	perl -pe 's/-Werror//' -i src/Makefile
 	
 override_dh_auto_build:
@@ -47,6 +62,9 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
+
+override_dh_auto_test:
+	true
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://origin-download.mono-project.com/sources/libgdiplus/libgdiplus-([\d\.]+)\.tar\..*

## libgdiplus 6.1%2Bdfsg

=== external/googletest/CMakeLists.txt ===
# Note: CMake support is community-based. The maintainers do not use CMake
# internally.

cmake_minimum_required(VERSION 2.8.8)

if (POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif (POLICY CMP0048)

project(googletest-distribution)
set(GOOGLETEST_VERSION 1.10.0)

if (CMAKE_VERSION VERSION_LESS "3.1")
  add_definitions(-std=c++11)
else()
  set(CMAKE_CXX_STANDARD 11)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  if(NOT CYGWIN)
    set(CMAKE_CXX_EXTENSIONS OFF)
  endif()
endif()

enable_testing()

include(CMakeDependentOption)
include(GNUInstallDirs)

#Note that googlemock target already builds googletest
option(BUILD_GMOCK "Builds the googlemock subproject" ON)
option(INSTALL_GTEST "Enable installation of googletest. (Projects embedding googletest may want to turn this OFF.)" ON)

if(BUILD_GMOCK)
  add_subdirectory( googlemock )
else()
  add_subdirectory( googletest )
endif()

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libgdiplus
 Section: libs
 Priority: optional
-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
 Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>, Jo Shields <directhex@apebox.org>
 Build-Depends: 
  debhelper (>= 7.0.50~),

## libgdiplus 6.1+dfsg

=== debian/changelog ===
libgdiplus (6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 6.1+dfsg

 -- Jo Shields <directhex@apebox.org>  Fri, 22 Apr 2022 12:35:19 -0400

=== debian/rules ===
--- 
+++ 
@@ -43,11 +43,11 @@
 		echo "$(TARBALL_DIR)+dfsg is in the way, bailing out!"; \
 		exit 1; \
 	fi
-	tar -xzf $(DEB_SOURCE_NAME)_$(UPVERSION).orig.tar.gz
-	rm $(DEB_SOURCE_NAME)_$(UPVERSION).orig.tar.gz
+	tar -xJf $(DEB_SOURCE_NAME)_$(UPVERSION).orig.tar.xz
+	rm $(DEB_SOURCE_NAME)_$(UPVERSION).orig.tar.xz
 	rm -f $(TARBALL_DIR)/tests/AdobeRGB1998.icc
 	mv $(TARBALL_DIR) $(TARBALL_DIR)+dfsg
-	tar -czf $(DEB_SOURCE_NAME)_$(UPVERSION)+dfsg.orig.tar.gz $(TARBALL_DIR)+dfsg
+	tar -cJf $(DEB_SOURCE_NAME)_$(UPVERSION)+dfsg.orig.tar.xz $(TARBALL_DIR)+dfsg
 	rm -r $(TARBALL_DIR)+dfsg
 
 override_dh_auto_configure:
